package com.casic.missiles.modular.system.enmus;



import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public enum SluicewellExportEnum  {

    DEVICE_EXPORT(
            new ArrayList() {{
//        add(new Header("井编号", "wellCode"));
//        add(new Header("井名称", "wellName"));
//        add(new Header("井深", "deep"));
//        add(new Header("详细地址", "position"));
//        add(new Header("井类型", "wellTypeName"));
//        add(new Header("权属单位", "deptName"));
//        add(new Header("设备数量", "deviceCount"));
//        add(new Header("布防状态", "bfztName"));
    }}, "sluicewell.xlsx", "井数据导出");

    //SLUICEWELLDATA_EXPORT("sluicewell.xlsx", "sluicewell.xlsx", "闸井数据");

    /**
     * 导出模板相对路径
     */
    private List<?> headers;
    /**
     * 下载文件名
     */
    private String fileName;
    /**
     * 描述信息
     */
    private String description;

    SluicewellExportEnum(List<?> headers, String fileName, String description) {
        this.headers = headers;
        this.fileName = fileName;
        this.description = description;
    }

    public List<?> getHeaders() {
        return headers;
    }

    public String getFileName() {
        return fileName;
    }

    public String getDescription() {
        return description;
    }

    public Map<String, Short> getCustomColumnStyle() {
        return null;
    }
}
